### Hierarchy

- NodeRequireFunction
  - NodeRequire

### Callable

- __call(id: string): any

- - Defined in node_modules/@types/node/globals.d.ts:190

  #### Parameters

  - ##### id: string

  #### Returns any

## Index

### Properties

- cache
- extensions
- main
- resolve

## Properties

### cache

cache: any

- Defined in node_modules/@types/node/globals.d.ts:197

### extensions

extensions: NodeExtensions

- Defined in node_modules/@types/node/globals.d.ts:201

deprecated

### main

main: NodeModule | undefined

- Defined in node_modules/@types/node/globals.d.ts:202

### resolve

resolve: RequireResolve

- Defined in node_modules/@types/node/globals.d.ts:196

Generated using TypeDoc